Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.cursor
Class NotSpecifiedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.olapi.data.cursor.NotSpecifiedException

public class NotSpecifiedException
extends java.lang.RuntimeException

Indicates that the operation cannot be performed because the application did not specify that it wanted the information. For example, the `getExtent` method on a `Cursor` throws this exception if an application calls it but the application did not, before it created the `Cursor`, call the `setExtentCalculationSpecified` method of the `CursorSpecification` for that `Cursor`.

See Also:
  `Cursor`, `CursorSpecification`, Serialized Form

Constructor Summary
`NotSpecifiedException()` Creates a `NotSpecifiedException`.
`NotSpecifiedException(java.lang.String message)` Creates a `NotSpecifiedException` with the specified message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotSpecifiedException

    public NotSpecifiedException()

  Creates a `NotSpecifiedException`.

### NotSpecifiedException

    public NotSpecifiedException(java.lang.String message)

  Creates a `NotSpecifiedException` with the specified message.
  Parameters:
    `message` - The message to associate with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.